<?php
$uid1="$row_cur_uid[uid]";
$saaid="$row_akt[saaid]";
########Kontaktdaten HS #####################
$db = dbconnect();
$res_ansp = $db->query("SELECT wert1 name, wert2 mail FROM parameter WHERE pid='6'");
$row_ansp = $res_ansp->fetch_array();

$res_kontakt = $db->query("SELECT wert1 tel, wert2 fax FROM parameter WHERE pid='5'");
$row_kontakt = $res_kontakt->fetch_array();

$res_stud = $db->query("SELECT nachname, vorname, geschlecht, postrasse, poplz, poort, ag, jahrgang FROM stud WHERE uid='$uid1'");
$row_stud = $res_stud->fetch_array();
if($row_stud['geschlecht'] == 'M'){
 $anredeform = "geehrter";
 $anrede = "Herrn";
 $anwart_geschlecht = "des Anwärters";
 $anwaerter ="Regierungsoberinspektoranwärter*in";
}else{
 $anredeform = "geehrte";
 $anrede = "Frau";
 $anwart_geschlecht = "der Anwärterin";
 $anwaerter ="Regierungsoberinspektoranwärter*in";
}

$res_dst = $db->query("SELECT dst_id FROM stan_antrag WHERE saaid='$saaid'");
$row_dst = $res_dst->fetch_array();

$result_data2 = $db->query("SELECT distinct 1 FROM stan_dienststellen WHERE dst_id= '$row_dst[dst_id]'");
$rowdata2 = $result_data2->fetch_array();

 if($rowdata2[0] == '1'){
   $result_data3 = $db->query("SELECT bez
                                     , str
                                     , plz
                                     , postfach
                                     , plz_postfach
                                     , ort
                                     , bundesland
                                     , staat
                                  FROM stan_dienststellen
                                 WHERE dst_id='$row_dst[dst_id]'");
    $rowdata3 = $result_data3->fetch_array();
    
 }else{

    $result_data3 = $db->query("SELECT bez
                                      , str
                                      , plz
                                      , postfach
                                      , plz_postfach
                                      , ort
                                      , bundesland
                                      , staat
                                   FROM stan_dienststellen_tmp
                                  WHERE dst_id='$row_dst[dst_id]'");
     $rowdata3 = $result_data3->fetch_array();
  }
  
if(!isset($hist)){
 $heute_format = date("d.m.Y", mktime(0, 0, 0, date("m"), date("d"), date("Y")));  // ISO-8601 Format wie in der Datenbank: Formatierung f&uuml;r Vergleiche erforderlich
}else{
 $res_dat = $db->query("SELECT min(date_format(datum, '%d.%m.%Y')) datum FROM stan_printqueue_hist WHERE zuweisung='EZP' AND admin='$user_admin'");
 $row_dat = $res_dat->fetch_array();
 
 $heute_format = $row_dat[datum];
}
#$pdf->Image('anschreiben_kehl/logo.png', 124, 10,71); #https://www.fpdf.de/funktionsreferenz/?funktion=Image

$pdf->SetFont('Arial', 'B', 10);
$pdf->SetY(64);
$pdf->SetX(24);
$pdf->Cell(0, 3, "$rowdata3[bez]", 0, 0, 'L');

$pos = $pdf->GetY()+4;

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->Cell(0, 3, "$rowdata3[str]", 0, 0, 'L');


$pos = $pdf->GetY()+4;
$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->Cell(0, 3, "$rowdata3[plz] $rowdata3[ort]", 0, 0, 'L');

if($rowdata3['staat'] != 'Deutschland'){
$pos = $pdf->GetY()+4;

$pdf->SetFont('Arial', 'B', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->Cell(0, 3, "$rowdata3[staat]", 0, 0, 'L');
}



$pdf->SetFont('Arial', '', 10);
$pdf->SetY(62.3);
$pdf->SetX(137);
$pdf->MultiCell(47, 3, "Kontakt:", 0, 'L');

$pdf->SetFont('Arial', '', 10);
$pdf->SetY(62.3);
$pdf->SetX(155.3);
$pdf->SetTextColor(20,93,156);
$pdf->MultiCell(47, 3, "Corinne Feger", 0, 'L');


$pos=$pdf->GetY()+0.9;

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(137);
$pdf->SetTextColor(0,0,0);
$pdf->MultiCell(47, 3, "Telefon:", 0, 'L');

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(155.3);
$pdf->MultiCell(47, 3, "+49 (0) 7851 894-126", 0, 'L');



$pos=$pdf->GetY()+0.9;

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(137);
$pdf->MultiCell(47, 3, "E-Mail:", 0, 'L');

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(155.3);
$pdf->MultiCell(47, 3, "feger@hs-kehl.de", 0, 'L');


#$pos=$pdf->GetY()+4.1;

#$pdf->SetFont('Arial', '', 10);
#$pdf->SetY($pos);
#$pdf->SetX(137);
#$pdf->MultiCell(47, 3, "Ihr Zeichen:", 0, 'L');
#
#$pdf->SetFont('Arial', '', 10);
#$pdf->SetY($pos);
#$pdf->SetX(155.3);
#$pdf->MultiCell(47, 3, "", 0, 'L');


#$pos=$pdf->GetY()+0.6;
#
#$pdf->SetFont('Arial', '', 10);
#$pdf->SetY($pos);
#$pdf->SetX(137);
#$pdf->MultiCell(47, 3, "Unser Zeichen:", 0, 'L');
#
#$pdf->SetFont('Arial', '', 10);
#$pdf->SetY($pos);
#$pdf->SetX(155.3);
#$pdf->MultiCell(47, 3, "", 0, 'L');


$pos=$pdf->GetY()+0.9;

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(137);
$pdf->MultiCell(47, 3, "Datum:", 0, 'L');

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(155.3);
$pdf->MultiCell(47, 3, "$heute_format", 0, 'L');
# Händischer Eintrag: Anruf Fr. Grampp. Da Kehl am 30.03.2015 vordatieren wollte
#$pdf->MultiCell(47, 3, "15.04.2015", 0, 'L');


########Kontaktdaten HS Ende #####################


######## Betreff #################################

$pdf->SetFont('Arial', 'B', 10);
$pdf->SetY(100.5);
$pdf->SetX(24);
$pdf->MultiCell(150, 3, "Ausbildung im gehobenen Verwaltungsdienst", 0, 'L');


$pos=$pdf->GetY()+0.6;

$pdf->SetFont('Arial', 'B', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(180, 4, "Hier: Zuweisung $anwart_geschlecht $row_cur_uid[vorname] $row_cur_uid[nachname] in der praktischen Ausbildung", 0, 'L');


$pos=$pdf->GetY()+1.1;

$pdf->SetFont('Arial', 'U', 8);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(150, 3, "Anlage", 0, 'L');


$pos=$pdf->GetY()+1.1;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(150, 3, "Weitere wichtige Informationen und Bestimmungen zum Zuweisungsbescheid im Praxisjahr", 0, 'L');



######## Betreff Ende ############################

#$pos=$pdf->GetY()+2.0;
#$pdf->SetFont('Times', 'B', 12);
#$pdf->SetY($pos);
#$pdf->SetX(24);
#$pdf->MultiCell(150, 3, "Anlagen", 0, 'L');

#$pos=$pdf->GetY()+1.8;
#$pdf->SetFont('Arial', '', 10);
#$pdf->SetY($pos);
#$pdf->SetX(24);
#$pdf->MultiCell(150, 5, "Weitere Hinweise zur Zuweisung in der praktischen Ausbildung für die Praxisstellen finden Sie auf unserer Homepage unter - Quicklinks - Download  Studierende - Praxiszeit. Dort finden Sie auch das neue Beurteilungsformular, das ab 01.01.2016 zu verwenden ist.", 0, 'L');


#################################################################################

$pos=$pdf->GetY()+11.1;

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(150, 3, "Sehr geehrte Damen und Herren,", 0, 'L');

$pos=$pdf->GetY()+4.0;

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
# 22.04.2016 $row_cur_uid[vorname] rausgenommen.
$pdf->MultiCell(168, 4.8, "Sie haben $anrede $row_cur_uid[nachname] ein Praktikum bei Ihnen zugesagt.", 0, 'L');


$pos=$pdf->GetY()+3.2;

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(180, 3.9, "Die Hochschule Kehl weist Ihnen o. g. $anwaerter gemäß § 22 Absatz 3 Ausbildungs- und Prüfungsordnung für den gehobenen Verwaltungsdienst (APrOVw gD vom 15. April 2014, zuletzt geändert durch Artikel 1 der Verordnung vom 19. September 2023) mit Ihrem Einverständnis im folgenden Zeitraum zu:", 0, 'L');





$db = dbconnect();


$columns = 4; //five columns


$pos=$pdf->GetY()+5.0;


$pdf->SetY($pos);

	//we initialize the table class
	$pdf->Table_Init($columns, true, true);

	$table_subtype = $table_default_table_type;
	$pdf->Set_Table_Type($table_subtype);
	
	//TABLE HEADER SETTINGS
	$header_subtype = $table_default_header_type;
	
	
	for($i=0; $i<$columns; $i++) $header_type[$i] = $table_default_header_type;

	$header_type[0]['WIDTH'] = 41.0;
	$header_type[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[0]['TEXT'] = "Zeitraum";
	
	
	$header_type[1]['WIDTH'] = 46.5;
	$header_type[1]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[1]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[1]['TEXT'] = "Ausbildungsstelle";
	
	$header_type[2]['WIDTH'] = 33.6;
	$header_type[2]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[2]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[2]['TEXT'] = "Abteilung";
	
	$header_type[3]['WIDTH'] = 47.2;
	$header_type[3]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[3]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[3]['TEXT'] = "Vertiefungsbereich";
	

	
	#$header_type[1]['COLSPAN'] = "2";

	//set the header type
	$pdf->Set_Header_Type($header_type);
	
	$pdf->Draw_Header();
	
	//TABLE DATA SETTINGS
	$data_subtype = $table_default_data_type;
	
	$data_type = Array();//reset the array
	for ($i=0; $i<$columns; $i++) $data_type[$i] = $data_subtype;

	$pdf->Set_Data_Type($data_type);
	
#	$fsize = 10;
#	$colspan = 1;
#	$rr = 255;

        $db = dbconnect();
        $query = "SELECT date_format(beginn, '%d.%m.%Y') beginn, date_format(beginn, '%Y%m%d') beginnform, date_format(ende, '%d.%m.%Y') ende, abteilung, b.bezeichnung
                    FROM stan_antrag a, stan_vertiefungsbereich b
                   WHERE a.vert_bereich=b.vbid
                     AND a.saaid='$saaid'
                   ORDER BY beginnform ASC";
        $result = $db->query ($query)
           or die ("Cannot execute query1b");
           

 
        while ($row = $result->fetch_array())
	{
		$data = Array();
		


/* Schriftgröße
		$data[0]['T_SIZE'] = $fsize;
		$data[1]['T_SIZE'] = $fsize+3;
		$data[3]['T_SIZE'] = $fsize+4;
*/
/* Schriftfarbe und Zellenhintergrund
		$data[0]['T_COLOR'] = array(0,0,0); //Schriftfarbe
		$data[0]['BG_COLOR'] = array($rr,$rr,$rr);
		$data[3]['T_COLOR'] = array($rr,240,240);
		$data[3]['BG_COLOR'] = array($rr,100,135);
*/
                        $dat = trim("$row[beginn] -\n$row[ende]");
			$data[0]['TEXT'] = "$dat";
			$data[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
			$data[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
		       #$data[0]['T_TYPE'] = "BI"; // B=BOLD, I=ITALIC
			
			$dst = trim($rowdata3['bez']);
			$data[1]['TEXT'] = "$dst";
			$data[1]['T_ALIGN'] = "L";
			$data[1]['V_ALIGN'] = "M";
			
			$abteilung = trim($row['abteilung']);
			$data[2]['TEXT'] = "$abteilung";
			$data[2]['T_ALIGN'] = "L";
			$data[2]['V_ALIGN'] = "M";
			
			$bezeichnung = trim($row['bezeichnung']);
			$data[3]['TEXT'] = "$bezeichnung";
			$data[3]['T_ALIGN'] = "L";
			$data[3]['V_ALIGN'] = "M";
			


		$pdf->Draw_Data($data,NULL,6); // -->letzter Parameter Höhe der Datenspalte. Neu prgrammiert in prints/class.fpdf_table.php am 15.04.2009
	}

	$pdf->Draw_Table_Border();




$pos=$pdf->GetY()+3.2;

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(180, 4, "Beachten Sie bitte die in den §§ 22 bis 24 APrOVw gD geregelten Vorschriften zur praktischen Ausbildung (insbesondere § 24 APrOVw gD).", 0, 'L');

$pos=$pdf->GetY()+3.8;
$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(180, 3.9, "Das Formular für die abschließende Beurteilung sowie weitere Hinweise zur Zuweisung und ausbildungsrelevante Regelungen in der praktischen Ausbildung für die Praxisstellen finden Sie auf unserer Website unter: Studium - Bachelorstudiengänge Public Management (BPM) - Informationen für Praxisstellen (bitte unbedingt beachten). Wichtige Hinweise erhalten Sie darüber hinaus auch im Anhang.", 0, 'L');

$pos=$pdf->GetY()+3.8;
$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(180, 3.9, "Der anzufertigende Praktikumsbericht ist 14 Tage vor Ablauf des Praktikums bei Ihnen zur Bewertung abzugeben. Nach Ablauf des Praktikums müssen die Anwärter*innen diesen zusammen mit der Beurteilung umgehend über die Lernplattform Moodle der Hochschule Kehl hochladen.", 0, 'L');


$pos=$pdf->GetY()+3.8;

$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(180, 3.9, "Wir bedanken uns für Ihre Bereitschaft bei der praktischen Ausbildung während des Vorbereitungsdienstes mitzuwirken.", 0, 'L');


$pos=$pdf->GetY()+4.5;


$pdf->SetFont('Arial', '', 10);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(168, 4.8, "Freundliche Grüße", 0, 'L');


#$pos=$pdf->GetY()+3.0;

#$pdf->SetFont('Arial', '', 10);
#$pdf->SetY($pos);
#$pdf->SetX(24);
#$pdf->MultiCell(168, 4.8, "Hochschule Kehl", 0, 'L');

$pos=$pdf->GetY()+6.0;

$pdf->SetFont('Arial', 'B', 9);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(168, 3.9, "gez. Corinne Feger\nStellv. Leitung Servicezentrum Studium & Lehre", 0, 'L');



#$pdf->SetFont('Arial', '', 8);
#$pdf->SetY(280);
#$pdf->SetX(24);
#$pdf->MultiCell(173, 3.9, "Seite 1 von 3", 0, 'R');


#$pdf->SetFont('Times', '', 10);
#$pdf->SetY(272.3);
#$pdf->SetX(24);
#$pdf->MultiCell(180, 4.8, "Hinweis: Aus technischen Gründen erhalten Sie auch bei geringfügigen Änderungen ein neues Zuweisungsschreiben.", 0, 'L');


$pagecount = $pdf->setSourceFile("anschreiben_kehl/anlage_erstantrag_praxisstelle_2024.pdf");
$tplidx1 = $pdf->ImportPage(1);
$pdf->addPage();
$pdf->useTemplate($tplidx1,0,0,0);
$tplidx1 = $pdf->ImportPage(2);
$pdf->addPage();
$pdf->useTemplate($tplidx1,0,0,0);

/*
require("urlaubskarte.php");

$pagecount = $pdf->setSourceFile("anschreiben/anlage_zuweisung.pdf");
$tplidx1 = $pdf->ImportPage(1);
$pdf->addPage();
$pdf->useTemplate($tplidx1,0,0,0);
$tplidx1 = $pdf->ImportPage(2);
$pdf->addPage();
$pdf->useTemplate($tplidx1,0,0,0);
$tplidx1 = $pdf->ImportPage(3);
$pdf->addPage();
$pdf->useTemplate($tplidx1,0,0,0);
*/
?>